Class | Tk::Tcllib::Widget::PanelFrame
In: | tk/lib/tkextlib/tcllib/panelframe.rb
Parent: | TkWindow

### Methods

add delete items package_name package_version remove remove_destroy set_widget

### Constants

PACKAGE_NAME | = | 'widget::panelframe'.freeze
TkCommandNames | = | ['::widget::panelframe'.freeze].freeze

### Public Class methods

package_name()

[Source]

    # File tk/lib/tkextlib/tcllib/panelframe.rb, line 19
          def self.package_name
            PACKAGE_NAME
          end

package_version()

[Source]

    # File tk/lib/tkextlib/tcllib/panelframe.rb, line 23
          def self.package_version
            begin
              TkPackage.require('widget::panelframe')
            rescue
              ''
            end
          end

### Public Instance methods

add(what, *args)

[Source]

    # File tk/lib/tkextlib/tcllib/panelframe.rb, line 48
      def add(what, *args)
        window(tk_send('add', *args))
      end

delete(*wins)

Alias for remove_destroy

items()

[Source]

    # File tk/lib/tkextlib/tcllib/panelframe.rb, line 69
      def items
        simplelist(tk_send('items')).collect!{|w| window(w)}
      end

remove(*wins)

[Source]

    # File tk/lib/tkextlib/tcllib/panelframe.rb, line 61
      def remove(*wins)
        tk_send('remove', *wins)
      end

remove_destroy(*wins)

[Source]

    # File tk/lib/tkextlib/tcllib/panelframe.rb, line 64
      def remove_destroy(*wins)
        tk_send('remove', '-destroy', *wins)
      end

set_widget(widget)

def get_frame

      window(tk_send('getframe'))

end

[Source]

    # File tk/lib/tkextlib/tcllib/panelframe.rb, line 56
      def set_widget(widget)
        tk_send('setwidget', widget)
        self
      end

[Validate]